<?php # -*- coding: utf-8 -*-

$version = "0.2-BETA";

/* Configuramos el nombre de la sesión */
session_name("OakID");

/* Configuramos la presentación de mensajes de error a pantalla */
ini_set("display_errors", $debug);

/* Configuramos la ruta para la carga de clases */
if (!isset($oak_dir)) {
    $oak_dir = __DIR__;
}

$data_dir = "$oak_dir/Oak/data";

set_include_path(get_include_path() . PATH_SEPARATOR . $oak_dir);
set_include_path(get_include_path() . PATH_SEPARATOR . $modules_dir);
set_include_path(get_include_path() . PATH_SEPARATOR . $data_dir);

/* En caso de que estemos dentro de public... subimos un nivel */

if (!is_dir("conf")) {
	chdir("..");
}

/* Cargamos el resto de la configuración */
if (file_exists("conf/environments.yml")) {
	$environment = Horde_Yaml::loadFile("conf/environments.yml");
}

if (file_exists("conf/anonymous.yml")) {
	$anonymous_actions = Horde_Yaml::loadFile("conf/anonymous.yml");
}

/* Incluimos el código para la autocarga de clases */
include(__DIR__ . DIRECTORY_SEPARATOR . "Oak" . DIRECTORY_SEPARATOR . "Autoload.php");

/* Eliminamos la limitación en tiempo para la ejecución */
set_time_limit(0);

/* Configuramos la zona horaria */
date_default_timezone_set(empty($default_timezone) ? $default_timezone : "Europe/Madrid");

/* Creamos una instancia de Main */
$main = new Oak_Main();

/* Por si no hubiese soporte gettext */
if (!function_exists("_")) {
	function _( $text ) {
		return $text;
	}
	$main->log(LOG_WARNING, "No hay soporte para GETTEXT (i18n)");
}

/* Comprobamos si se ha pedido la ejecución de un Action */
if (isset($_GET["action"])) {
    $action = $_GET["action"];
    unset($_GET["action"]);
    $args = $_GET;
} else {
    $action = $default_action;
    $args = $_GET;
}

/* Configuramos el idioma, al idioma por defecto, en principio. */
$lang = $default_lang;

/* Incluimos _FILES dentro de _POST */
if (count($_FILES) > 0) {
    $_POST["_files"] =& $_FILES;
}

/* Ejecutamos el procedimiento principal */
$main->run($action, $args, $_POST, isset($_SERVER["HTTP_HOST"]) ? $_SERVER["HTTP_HOST"] : "");
