<?php # -*- coding: utf-8 -*-

/**
 *  @class Oak_Components
 *  Componentes de formulario para crear plantillas basadas en la clase
 *  Templates.
 *
 *  @author       Manuel Angel Rubio Jimenez
 *  @version      0.2
 *
 */
class Oak_Components {
    protected $template; /*!< Almacena un enlace al template que se está usando. */

    /**
     *  Constructor que se encarga de inicializar la estructura básica
     *  de una plantilla.
     *
     *  @param template plantilla donde se volcarán todos los datos.
     *  @param title título que se presentará en la barra de tareas y la
     *               ventana del navegador.
     *  @param subtitle se presentará en la cabecera de la página.
     *  @param name nombre que aparecerá como logo.
     *  @param lang idioma que se empleará.
     */
    function __construct( &$template, $title = "", $subtitle = "", $name = "", $lang = "" ) {
        global $default_lang, $version;
        $this->template =& $template;
        if ($title != '') {
            $this->template->put("main/@title", $title);
        }
        if ($subtitle != '') {
            $this->template->put('main/@subtitle', $subtitle);
        }
        if ($name != '') {
            $this->template->put('main/@name', $name);
        }
        $this->template->put('main/@lang', ($lang == "") ? $default_lang : $lang);
        $this->template->put('main/@version', $version);
    }


    /**
     *  Ordena al template a renderizarse.
     */
    public function render() {
        return $this->template->render();
    }

}
