<?php # -*- coding: utf-8 -*-

/**
 *  @class Oak_Template_PHP
 *  Esta clase ha sido creada para que la salida hacia HTML.
 *
 *  @author       Manuel Angel Rubio Jiménez
 *  @version      0.2
 *
 */
class Oak_Template_PHP extends Oak_Template {

    /**
     *  El constructor se encarga de configurar la plantilla, inicialmente.
     *
     *  La única misión del constructor que se ha designado en estos momentos,
     *  es inicializar la variable de plantilla a un valor por defecto (joomla)
     *  o al valor pasado como parámetro.
     *
     *  @param template especifica la plantilla XSLT a usar.
     */
    function __construct( $template = "joomla" ) {
		parent::__construct($template);
        $this->xml_flavor = false;
    }


    /**
     *  Pasa el array interno $data como variables, según sus índices.
     *
     *  @return texto HTML.
     */
    function render( $test = false ) {
        global $themes_dir;

		$rt = "";
        if (!$test) {
            extract($this->data);
			$type = $this->get("main/@type");
			ob_start();
            include("$themes_dir/{$this->template}/$type.php");
			$rt = ob_get_contents();
			ob_end_clean();
        } else {
			$rt = "<pre>" . print_r($this->data, true) . "</pre>";
        }
        return $rt;
    }

}
